Description

Hi !

When there are a lots of layer and a lots of groups, it would be extremely useful to have trivalent checkboxes for layer visibility.

A layer could either be "visible", "hidden", "inherit".

So, in a group, you could have some layers set to "hidden" and some set to "inherit".

This way, no matter what the group's visibility is, some layer could always be hidden (which you would set for data you don't intend to use

for the moment), and some always visible (which you would set for data you want to see no matter what the group visibility is).

You could toggle the group's visibility without loosing that setup.

Typical example : (V for visible, H for hidden, I for inherit, * for elements that are visible in the ned)

H gr_forgeground

- I buildings

- I streets

- I lots

- V city_boundary*

I gr_data

- H water_protection

- I pollution*

I GROUP_Zones

- H forest

- I land_usage*

Cool ! You can toggle the whole foreground group without having to recheck "boundaries" that you always want to see.

Thanks !

History

#1 - 2012-06-12 07:01 AM - Alexander Bruy

Maybe related to #4762

#2 - 2012-09-04 12:06 PM - Paolo Cavallini

- Target version set to Version 2.0.0
#3 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
